package _VisualDVM.GlobalData.User;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.StatusEnum;
public enum UserState implements StatusEnum {
    initial, //на пользователя еще не заходили.
    ready,   //рудимент.
    ready_to_work;//пользователь готов к работе,все установлено.
    @Override
    public VisualiserFonts getFont() {
        return this == UserState.ready_to_work ? VisualiserFonts.GoodState : StatusEnum.super.getFont();
    }
    @Override
    public String getDescription() {
        switch (this) {
            case initial:
            case ready:
                return "не проинициализирован";
            case ready_to_work:
                return "готов к работе";
            default:
                return StatusEnum.super.getDescription();
        }
    }
}
